KDE 4.5 PyKDE API Reference

- KDE's Python API

# KDataToolInfo Class Reference

`from PyKDE4.kio import *`

## Detailed Description

This is a convenience class for KService. You can use it if you have a KService describing a KDataTool. In this case the KDataToolInfo class is more convenient to work with.

Especially useful is the method createTool which creates the datatool described by the service.

See also:
  KDataTool

## Methods
| __init__ (self)
| __init__ (self, KSharedPtr service, KComponentData instance)
| __init__ (self, KDataToolInfo info)
QStringList | commands (self)
KComponentData | componentData (self)
KDataTool | createTool (self, QObject parent=0)
QString | dataType (self)
QPixmap | icon (self)
QString | iconName (self)
bool | isReadOnly (self)
bool | isValid (self)
QStringList | mimeTypes (self)
QPixmap | miniIcon (self)
KSharedPtr | service (self)
QStringList | userCommands (self)
## Static Methods
[KDataToolInfo] | query (QString datatype, QString mimetype, KComponentData instance)

## Method Documentation

__init__ | ( |  | self ) |

Create an invalid KDataToolInfo.

__init__ | ( | self, |
|  | KSharedPtr | service,
|  | KComponentData | instance
| ) |  |  |

Create a valid KDataToolInfo.

Parameters:

  | service | the corresponding service
  | instance | the instance to use

__init__ | ( | self, |
|  | KDataToolInfo | info
| ) |  |  |

Copy constructor.

QStringList commands | ( |  | self ) |

Returns the list of commands the DataTool can execute. The application passes the command to the KDataTool.run method.

This list comes from the Commands field of the tool's desktop file.

Each of the strings returned corresponds to a string in the list returned by userCommands.

Returns:
  the list of commands the DataTool can execute, suitable for the KDataTool.run method.

KComponentData componentData | ( |  | self ) |

The instance of the service.

Returns:
  the instance

KDataTool createTool | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Creates the data tool described by this KDataToolInfo.

Parameters:

  | parent | the parent of the QObject (or 0 for parent-less KDataTools)

Returns:
  a pointer to the created data tool or 0 on error.

QString dataType | ( |  | self ) |

Returns the data type that the DataTool can accept.

Returns:
  the C++ data type that this DataTool accepts. For example "QString" or "QImage" or something more complicated.

QPixmap icon | ( |  | self ) |

Returns the icon of this data tool.

Returns:
  a large pixmap for the DataTool.

@deprecated, use iconName()

QString iconName | ( |  | self ) |

Returns the icon name for this DataTool.

Returns:
  the name of the icon for the DataTool

bool isReadOnly | ( |  | self ) |

Checks whether the DataTool is read-only.

Returns:
  true if the DataTool does not modify the data passed to it by KDataTool.run.

bool isValid | ( |  | self ) |

A DataToolInfo may be invalid if the KService passed to its constructor does not feature the service type "KDataTool".

Returns:
  true if valid, false otherwise

QStringList mimeTypes | ( |  | self ) |

Returns a list of mime type that will be accepted by the DataTool. The mimetypes are only used if the dataType can be used to store different mimetypes. For example in a "QString" you could save "text/plain" or "text/html" or "text/xml".

Returns:
  the mime types accepted by this DataTool. For example "image/gif" or "text/plain". In some cases the dataType determines the accepted type of data perfectly. In this cases this list may be empty.

QPixmap miniIcon | ( |  | self ) |

Returns the mini icon of this data tool.

Returns:
  a mini pixmap for the DataTool.

@deprecated, use iconName()

KSharedPtr service | ( |  | self ) |

The KDataToolInfo's service that is represented by this class.

Returns:
  the service

QStringList userCommands | ( |  | self ) |

Returns a list of strings that you can put in a QPopupMenu item, for example to offer the DataTools services to the user. The returned value is usually something like "Spell checking", "Shrink Image", "Rotate Image" or something like that. This list comes from the Comment field of the tool's desktop file (so that it can be translated).

Each of the strings returned corresponds to a string in the list returned by commands.

Returns:
  a list of strings that you can put in a QPopupMenu item

## Static Method Documentation

[KDataToolInfo] query | ( | QString | datatype,
|  | QString | mimetype,
|  | KComponentData | instance
| ) |  |  |

Queries the KServiceTypeTrader about installed KDataTool implementations.

Parameters:

  | datatype | a type that the application can 'export' to the tools (e.g. QString)
  | mimetype | the mimetype of the data (e.g. text/plain)
  | instance | the application (or the part)'s instance (to check if a tool is excluded from this part, and also used if the tool wants to read its configuration in the app's config file).

Returns:
  the list of results